Bug 805227 - Resource path handling change over Portlet Bridge
Resource path handling change over Portlet Bridge
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: PortletBridge (Show other bugs)
5.2.1.ER02
Unspecified Linux
unspecified Severity high
: ---
: 5.2.1.GA
Assigned To: Ken Finnigan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 13:04 EDT by Miroslav Cupák
Modified: 2015-01-05 06:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 09:02:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error from the server log after accessing the RichFaces Demo. (108.66 KB, text/x-log)
2012-03-20 13:06 EDT, Miroslav Cupák
no flags Details

  None (edit)
Description Miroslav Cupák 2012-03-20 13:04:27 EDT
Description of problem:
Path to a resource within an application run over Portlet Bridge is now handled in a different way with respect to the location it is pointing to, thus breaking backward compatibility.

Version-Release number of selected component (if applicable):
Portlet Bridge 2.3.0.GA.EPP521

Steps to Reproduce:
Deploy the RichFaces demo, import it and add it on a page. After accessing it, you will see org.ajax4jsf.resource.ResourceNotFoundException in the log.
Comment 1 Miroslav Cupák 2012-03-20 13:06:24 EDT
Created attachment 571479 [details]
Error from the server log after accessing the RichFaces Demo.
Comment 2 Ken Finnigan 2012-03-20 13:17:49 EDT
Which RichFaces Demo did you use?

I didn't see this error when testing it prior to release
Comment 3 Miroslav Cupák 2012-03-20 13:32:24 EDT
The usual showcase from the PBR tag, also bundled with EPP in portletbridge/examples.
Comment 4 Miroslav Cupák 2012-03-22 06:19:12 EDT
FYI, both PBR 2.3.0.Final and 2.2.0.GA.EPP520 are OK on EPP 5.2.1.ER02 with respect to this issue.
Comment 5 Ken Finnigan 2012-03-22 11:44:13 EDT
Tagged 2.3.0.CP01.EPP521 which contains fix.  Honza is currently building it.

Note You need to log in before you can comment on or make changes to this bug.